<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferContent StructType
 * @subpackage Structs
 */
class TransferContent extends AbstractStructBase
{
    /**
     * The TransferContentRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferContentRQ
     */
    public $TransferContentRQ;
    /**
     * Constructor method for TransferContent
     * @uses TransferContent::setTransferContentRQ()
     * @param \StructType\JP_TransferContentRQ $transferContentRQ
     */
    public function __construct(\StructType\JP_TransferContentRQ $transferContentRQ = null)
    {
        $this
            ->setTransferContentRQ($transferContentRQ);
    }
    /**
     * Get TransferContentRQ value
     * @return \StructType\JP_TransferContentRQ|null
     */
    public function getTransferContentRQ()
    {
        return $this->TransferContentRQ;
    }
    /**
     * Set TransferContentRQ value
     * @param \StructType\JP_TransferContentRQ $transferContentRQ
     * @return \StructType\TransferContent
     */
    public function setTransferContentRQ(\StructType\JP_TransferContentRQ $transferContentRQ = null)
    {
        $this->TransferContentRQ = $transferContentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TransferContent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
